Retrieve an event
curl --request GET \
--url https://api.deck.co/v2/events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"type": "<string>",
"data": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Events
Retrieve an event
Returns a single event by ID, including its full data payload.
GET
/
events
/
{event_id}
Retrieve an event
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the event (prefixed with evt_).
Response
OK
A lifecycle event emitted by the platform.
Unique identifier for the event, prefixed with evt_.
Always event.
Event type (e.g. task_run.completed, credential.verified).
Event payload containing a summary of the resource that triggered the event.
ISO 8601 timestamp of when the resource was created.
Unique identifier for the API request. Include this when contacting support.
Was this page helpful?
⌘I